import 'package:flutter/material.dart';

// TODO add your light theme colors palette
class LightThemeColors {
  // PRIMARY
  static const Color primaryColor = Color(0xFF0086FF);
  static const Color shadowColor = Color(0xFF00ABF5);

  // SECONDARY COLOR
  static const Color accentColor = Colors.black;

  //APPBAR
  static const Color appBarColor = Colors.black;

  //SCAFFOLD
  static const Color scaffoldBackgroundColor = bg1;
  static const Color backgroundColor = bg2;
  static const Color dividerColor = strokes1;
  static const Color cardColor = bg3;

  //ICONS
  static const Color appBarIconsColor = Colors.white;
  static const Color iconColor = Colors.black;

  //BUTTON
  static const Color buttonColor = primaryColor;
  static const Color buttonTextColor = Colors.white;
  static const Color buttonDisabledColor = Colors.grey;
  static const Color buttonDisabledTextColor = Colors.black;

  //TEXT
  static const Color bodyTextColor = text1;
  static const Color displayTextColor = text1;
  static const Color bodySmallTextColor = text1;
  static const Color hintTextColor = text2;

  //chip
  static const Color chipBackground = primaryColor;
  static const Color chipTextColor = Colors.white;

  // progress bar indicator
  static const Color progressIndicatorColor = Color(0xFF40A76A);

  // list tile
  static const Color listTileTitleColor = Color(0xFF575757);
  static const Color listTileSubtitleColor = Color(0xFF575757);
  static const Color listTileBackgroundColor = Color(0xFFF8F8F8);
  static const Color listTileIconColor = Color(0xFF575757);

  //------------------- custom theme (extensions) ------------------- //
  // header containers
  static const Color headerContainerBackgroundColor = Color(0XFF38B6F0);

  // employee list item
  static const Color employeeListItemBackgroundColor = Colors.white;
  static const Color employeeListItemNameColor = Color(0xFF4A4A4A);
  static const Color employeeListItemSubtitleColor = Color(0xFFA1A4B1);
  static const Color employeeListItemIconsColor = Color(0xFFA1A4B1);

  // connection button colors
  static const Color connectionButtonDisconnectedBg = Color(0x99FFFFFF);
  static const Color connectionButtonDisconnectedBorder = Color(0x66FFFFFF);
  static const Color connectionButtonConnectingBg = Color(0x1F7E6DFF);
  static const Color connectionButtonConnectingBorder = Color(0x1F181818);
  static const Color connectionButtonConnectedBg = Color(0x141BBA66);
  static const Color connectionButtonConnectedBorder = Color(0xFF1BBA66);
  static const Color connectionButtonProgressColor = Color(0xFF7E6DFF);

  // bottom navigation bar colors
  static const Color bottomBarSelectedColor = Color(0xFF63FBFB);
  static const Color bottomBarUnselectedColor = Color(0xFF51535D);
  static const Color bottomBarBackgroundColor = Color(0xFFFFFFFF);

  static const Color bg1 = Color(0xFFFFFFFF);
  static const Color bg2 = Color(0xFFEFEFEF);
  static const Color bg3 = Color(0xFFF9FAFC);
  static const Color bgDisable = Color(0xFFEFEFEF);
  static const Color bgScrim = Color(0x99000000);
  static const Color text1 = Color(0xFF000000);
  static const Color text2 = Color(0xFF646776);
  static const Color textDisable = Color(0xFFCECECE);
  static const Color textBrand = Color(0xFFFFFFFF);
  static const Color strokes1 = Color(0xFFE6E7EB);
  static const Color strokes2 = Color(0xFFF2F1F4);
}
